#include <stdio.h>
#include <system.h>
#include <inttypes.h>

#include "../device_test.h"
#include "../test_task.h"
#include "../../../software/signal_processing/system/binding.h"
#include "../../../software/signal_processing/system/task_fft.h"
#include "../../data/add_rand.h"
#include "../../data/fft.h"

int main() {
    device_test( test_task, BINDING_HW, & FFT_CONFIG, expected_add_rand, NULL, expected_fft, 2e-1 );
    return 0;
}

